Subject: bug#75632: 31.0.50; igc: Crash report

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Jan 2025 09:28:55 +0200

> Date: Fri, 17 Jan 2025 21:30:41 +0000
> From: Pip Cet <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> "Eli Zaretskii" <[email-masked]> writes:
> 
> >> I'm not sure what you are suggesting here.  Is there a good place that
> >> is initialized only in the !pdumper || !temacs case?
> >
> > The "if (initialized)" test is exactly for that.  pdumper_load sets
> > initialized = true before it returns.  So in temacs initialized will
> > be false when init_keyboard is called.
> 
> But if we build without pdumper (after removing the relevant #error and
> a few minor fixes, it works just fine), initialized is false, so SIGUSR2
> wouldn't work at all in those builds.

Do we want to support MPS in unexec builds?  I thought we didn't.
(Does it even work in such builds?)

> In the pdumper case, it'd run in temacs, put the right subr in the
> symbol's plist, dump it, and then it'd be restored from the dump and
> we'd only need the initial call.
> 
> Would that be okay?

I have no idea, because I don't understand why is that the solution to
SIGUSR handling.  (How about adding some comments which explain the
purpose of watching that variable?)  Also see above regarding unexec
build with MPS.